'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolve = resolve;
var resolvePkg = require('resolve');
var eslintrcUp = require('eslintrc-up');
var path = require('path');

var interfaceVersion = exports.interfaceVersion = 2;

function resolve(source, file, config) {
  if (resolvePkg.isCore(source)) {
    return { found: true, path: null };
  }

  // eslint-disable-next-line no-restricted-syntax
  for (var alias in config) {
    if (source.match(new RegExp('^' + alias + '(/|$)'))) {
      var src = source.replace(alias, config[alias]);

      try {
        return {
          found: true,
          path: resolvePkg.sync(src, {
            basedir: path.dirname(eslintrcUp.sync({
              cwd: path.dirname(file)
            }))
          })
        };
      } catch (err) {} // eslint-disable-line no-empty
    }
  }

  return {
    found: false
  };
}